Class | PhusionPassenger::Utils::FileSystemWatcher
In: | lib/phusion_passenger/utils/file_system_watcher.rb
Parent: | Object

### Methods

close new opens_files? wait_for_change

### Classes and Modules

Class PhusionPassenger::Utils::FileSystemWatcher::DirInfo
Class PhusionPassenger::Utils::FileSystemWatcher::FileInfo

### Attributes

poll_interval | [RW] |

### Public Class methods

new(filenames, termination_pipe = nil)
opens_files?()

### Public Instance methods

close()
wait_for_change()

[Validate]